Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056174 - Security policy missing in generic deployable binaries
Summary: Security policy missing in generic deployable binaries
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Build and Assembly
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: CR2
: 6.0.0
Assignee: Ryan Zhang
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 16:04 UTC by Radovan Synek
Modified: 2014-08-06 20:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:16:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Radovan Synek 2014-01-21 16:04:50 UTC
The summary says it all - security.policy and kie.policy are not contained in BRMS/BPMS generic deployable binaries.

Comment 1 Ryan Zhang 2014-01-22 07:12:41 UTC
Now providing the two policy file as requested.
It will be included in CR2.
See the files changed below:

[rzhang@/home/rzhang/workspace/ip/bpms-brms/bpms/target]$unzip jboss-bpms-6.0.0.GA-redhat-1-deployable-generic-deployable-generic.zip
Archive:  jboss-bpms-6.0.0.GA-redhat-1-deployable-generic-deployable-generic.zip
   creating: jboss-bpms-6.0.0.GA-redhat-1-deployable-generic/
 extracting: jboss-bpms-6.0.0.GA-redhat-1-deployable-generic/jboss-bpms-engine.zip  
 extracting: jboss-bpms-6.0.0.GA-redhat-1-deployable-generic/jboss-bpms-manager.zip  
   creating: jboss-bpms-6.0.0.GA-redhat-1-deployable-generic/SecurityPolicy/
  inflating: jboss-bpms-6.0.0.GA-redhat-1-deployable-generic/SecurityPolicy/kie.policy  
  inflating: jboss-bpms-6.0.0.GA-redhat-1-deployable-generic/SecurityPolicy/security.policy  
[rzhang@/home/rzhang/workspace/ip/bpms-brms/bpms/target]$tree jboss-bpms-6.0.0.GA-redhat-1-deployable-generic
jboss-bpms-6.0.0.GA-redhat-1-deployable-generic
|-- jboss-bpms-engine.zip
|-- jboss-bpms-manager.zip
`-- SecurityPolicy
    |-- kie.policy
    `-- security.policy

Comment 2 Radovan Synek 2014-01-27 09:12:38 UTC
Verified with BRMS/BPMS-6.0.0.CR2 that deployable binaries contain security policy files.


Note You need to log in before you can comment on or make changes to this bug.